## db4.6 4.6.21

=== debian/changelog ===
db4.6 (4.6.21-16) unstable; urgency=low

  * Switch to 3.0 (quilt) source format.
  * Fix -java-gcj package build for gcj-4.4.  closes: #560658.

 -- Clint Adams <schizo@debian.org>  Tue, 29 Dec 2009 15:04:42 -0500

db4.6 (4.6.21-15) unstable; urgency=low

  * Run ldconfig in library package postinsts.
    closes: #552997, #553005, #553105.
  * Bump to Standards-Version 3.8.3.

 -- Clint Adams <schizo@debian.org>  Wed, 04 Nov 2009 01:18:46 -0500

db4.6 (4.6.21-14) unstable; urgency=low

  * Apply patch from Steve Langasek to "mangle javac detection to avoid
    us ending up with /usr/include/linux in the compiler path."  closes:
    #532555.
  * Bump Standards-Version to 3.8.1.
  * Change JAVA_BIN to /usr/lib/jvm/default-java/bin.  closes: #528190.

 -- Clint Adams <schizo@debian.org>  Tue, 09 Jun 2009 22:48:14 -0400

db4.6 (4.6.21-13) unstable; urgency=low

  * 4.6.21.2: [#16178] Fixes the potential for the wrong number of
    mutexes to be allocated. This issue could cause applications with
    multiple cache regions to see undefined behavior in rare cases under
    load.
  * 4.6.21.3: [#16406] Replication clients should be able to open a
    sequence.

 -- Clint Adams <schizo@debian.org>  Tue, 30 Dec 2008 21:00:24 -0500

db4.6 (4.6.21-12) unstable; urgency=low

  * Enable java bindings for armel.  closes: #506710.

 -- Clint Adams <schizo@debian.org>  Sun, 23 Nov 2008 17:59:59 -0500

db4.6 (4.6.21-11) unstable; urgency=medium

  * Enable java bindings for GNU/kFreeBSD.  closes: #497808.
  * Fix sparc mutex alignment problem.  closes: #498461.
  * Fix arm crypto padding problem, thanks to Ben Hutchings.
    closes: #498454.

 -- Clint Adams <schizo@debian.org>  Sat, 13 Sep 2008 04:36:53 -0400

db4.6 (4.6.21-10) unstable; urgency=low

  * Drop libdb4.6-dev conflict on libdb-dev.

 -- Clint Adams <schizo@debian.org>  Thu, 12 Jun 2008 21:04:13 -0400

db4.6 (4.6.21-9) unstable; urgency=low

  * Bump to Standards-Version 3.8.0.
  * Change dev package to libdb4.6-dev.

 -- Clint Adams <schizo@debian.org>  Tue, 10 Jun 2008 18:38:57 -0400

db (4.6.21-8) unstable; urgency=high

  * Change Tcl build dependency to tcl8.5-dev.
  * Change Java architectures to everything but alpha, arm, hppa, hurd-
    i386, kfreebsd-i386, kfreebsd-amd64, and m32r.  closes: #477855.
  * Switch java build dependency from java-gcj-compat-dev to default-
    jdk-builddep.

 -- Clint Adams <schizo@debian.org>  Thu, 01 May 2008 08:28:24 -0400

db (4.6.21-7) unstable; urgency=medium

  * 4.6.21.1: [#15692] Fixes a race condition between checkpoint and
    DB->close which can result in the checkpoint thread
    self-deadlocking.

 -- Clint Adams <schizo@debian.org>  Wed, 26 Mar 2008 22:51:04 -0400

db (4.6.21-6) unstable; urgency=low

  * Apply patch from Kevin Lindsay to avoid mutex deadlock in memory
    pool set_maxsize. closes: #469602.
  * Add Homepage control field.
  * Add Vcs-Browser and Vcs-Git control fields.
  * Tweak db4.6-util description to describe db4.6_dump more completely.

 -- Clint Adams <schizo@debian.org>  Thu, 06 Mar 2008 08:06:34 -0500

db (4.6.21-5) unstable; urgency=low

  * Bump Standards-Version to 3.7.3.
  * Make libdb4.6-dbg depend on libdb4.6.

 -- Clint Adams <schizo@debian.org>  Wed, 02 Jan 2008 15:44:18 -0500

db (4.6.21-4) unstable; urgency=low

  * Re-enable Java on hppa.

 -- Clint Adams <schizo@debian.org>  Mon, 22 Oct 2007 12:36:02 -0400

db (4.6.21-3) unstable; urgency=low

  * Ship md5sums in each .deb.  closes: #446807.
  * Skip test suite on hppa and m68k, since they are very broken.

 -- Clint Adams <schizo@debian.org>  Mon, 15 Oct 2007 21:14:30 -0400

db (4.6.21-2) unstable; urgency=medium

  * Disable Java packages on hppa, since Java is yet again broken on
    hppa.

 -- Clint Adams <schizo@debian.org>  Mon, 15 Oct 2007 13:18:57 -0400

db (4.6.21-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <schizo@debian.org>  Mon, 08 Oct 2007 22:35:29 -0400

db (4.6.19-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <schizo@debian.org>  Fri, 24 Aug 2007 17:43:26 -0400

db (4.6.18-6) unstable; urgency=low

  * Tolerate testsuite failures on arm, sparc, s390.

 -- Clint Adams <schizo@debian.org>  Thu, 16 Aug 2007 20:46:17 -0400

db (4.6.18-5) unstable; urgency=high

  * Apply patch to fix alignment issues in 32-bit binaries on
    64-bit machines.

 -- Clint Adams <schizo@debian.org>  Tue, 14 Aug 2007 14:43:39 -0400

db (4.6.18-4) unstable; urgency=low

  * Add libdb4.6-dbg package.
  * Fail the build if there are any testsuite failures.

 -- Clint Adams <schizo@debian.org>  Sun, 12 Aug 2007 21:34:16 -0400

db (4.6.18-3) unstable; urgency=low

  * Disable stripping of binaries when DEB_BUILD_OPTIONS contains
    "nostrip".  closes: #436766.

 -- Clint Adams <schizo@debian.org>  Sat, 11 Aug 2007 12:34:38 -0400

db (4.6.18-2) unstable; urgency=medium

  * Forward-port db4.5 changes to build libdb4.6-java-gcj package.
  * Don't build-depend on java-gcj-compat-dev on m32r.
  * Forward-port db4.5 manpage typo fixes to db4.6_load(1).

 -- Clint Adams <schizo@debian.org>  Tue, 07 Aug 2007 20:54:27 -0400

db (4.6.18-1) unstable; urgency=low

  * Initial packaging of Berkeley DB 4.6, under the source package
    name "db".

 -- Clint Adams <schizo@debian.org>  Wed, 25 Jul 2007 20:37:51 +0700
