=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -Wall -g
INSTALL = install
INSTALL_FILE    = $(INSTALL) -p    -o root -g root  -m  644
INSTALL_PROGRAM = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_SCRIPT  = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_DIR     = $(INSTALL) -p -d -o root -g root  -m  755

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
INSTALL_PROGRAM += -s
endif

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_BUILD_GNU_CPU ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
DEB_BUILD_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

JAVA_UNSUPPORTED_CPUS = zm32rz zhppaz zalphaz
JAVA_UNSUPPORTED_SYSTEMS = zgnuz zknetbsd-gnuz
JAVA_UNSUPPORTED_ARCHES = zarmz
-include /usr/share/gcj/debian_defaults

CONFIGURE_VARS = CC=gcc CFLAGS="$(CFLAGS)" CPPFLAGS="-I/usr/include/tcl8.5" 
CONFIGURE_SWITCHES =    --prefix=/usr \
			--mandir=\$${prefix}/share/man \
			--localstatedir=/var \
			--sysconfdir=/etc \
			--libexecdir=/usr/lib \
			--enable-cxx \
			--enable-compat185 \
			--enable-rpc \
			--enable-tcl \
			--with-tcl=/usr/lib/tcl8.5 \
			--enable-test

DB_BINARY_PKGS = libdb4.6 libdb4.6-dev libdb4.6++ libdb4.6++-dev libdb4.6-tcl db4.6-util libdb4.6-dbg

ifeq (,$(findstring z$(DEB_BUILD_GNU_CPU)z,$(JAVA_UNSUPPORTED_CPUS)))
ifeq (,$(findstring z$(DEB_BUILD_GNU_SYSTEM)z,$(JAVA_UNSUPPORTED_SYSTEMS)))
ifeq (,$(findstring z$(DEB_BUILD_ARCH)z,$(JAVA_UNSUPPORTED_ARCHES)))
JAVA_BIN = /usr/lib/jvm/default-java/bin
CONFIGURE_VARS += JAVAC="$(JAVA_BIN)/javac" JAVA="$(JAVA_BIN)/java" JAR="$(JAVA_BIN)/jar"
CONFIGURE_SWITCHES += --enable-java
DB_BINARY_PKGS += libdb4.6-java libdb4.6-java-dev
ifneq (,$(filter $(DEB_BUILD_ARCH), $(gcj_native_archs)))
DB_BINARY_PKGS += libdb4.6-java-gcj
endif
endif
endif
endif

ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
CONFIGURE_VARS += STRIP=":"
endif

BROKEN_ARCHES = zarmz zs390z
VERY_BROKEN_ARCHES = zm68kz zhppaz

package=db4.6
bdbversion=4.6

version=$(shell expr `pwd` : '.*-\([0-9.]*\)')
version_major=$(shell expr `pwd` : '.*-\([0-9]*\).[0-9.]*')

build:
	$(checkdir)
	
	mkdir -p obj

	cd obj && $(CONFIGURE_VARS) \
		../dist/configure $(CONFIGURE_SWITCHES)

	cd obj && $(MAKE)

ifeq (,$(findstring z$(DEB_BUILD_GNU_CPU)z,$(VERY_BROKEN_ARCHES)))
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	chmod +x ./debian/runtests.tclsh
	cd obj && ../debian/runtests.tclsh || true

ifeq (,$(findstring z$(DEB_BUILD_GNU_CPU)z,$(BROKEN_ARCHES)))
	! grep ^FAIL obj/ALL.OUT
else
	grep ^FAIL obj/ALL.OUT || true
endif
endif
endif

	touch build

clean:
	$(checkdir)
	rm -rf obj
	rm -f build install-stamp
	-rm -rf debian/tmp debian/$(package)* debian/lib$(package)* core
	-rm -f debian/substvars.*
	rm -rf debian/libdb*

install-stamp: build
	$(checkdir)

	rm -rf debian/tmp
	$(INSTALL_DIR) debian/tmp

	cd obj && $(MAKE) install prefix=$(CURDIR)/debian/tmp/usr

	touch install-stamp

binary-indep: checkroot build install-stamp
	$(checkdir)

	rm -rf debian/$(package)-doc
	$(INSTALL_DIR) debian/$(package)-doc/usr/share/doc debian/$(package)-doc/DEBIAN

	cd debian/tmp/usr/docs && rm -rf `find . -type d -name ".arch-ids"`
	cp -a debian/tmp/usr/docs debian/$(package)-doc/usr/share/doc/$(package)-doc

	$(INSTALL_FILE) debian/copyright debian/$(package)-doc/usr/share/doc/$(package)-doc/copyright
	$(INSTALL_FILE) debian/changelog debian/$(package)-doc/usr/share/doc/$(package)-doc/changelog.Debian
	gzip -9frq debian/$(package)-doc/usr/share/doc/$(package)-doc/changelog.Debian

	cd debian/$(package)-doc && find * -type f ! -regex '^DEBIAN/.*' -print0 | xargs -r0 md5sum > DEBIAN/md5sums
	dpkg-gencontrol -isp -p$(package)-doc -Pdebian/$(package)-doc
	chown -R root:root debian/$(package)-doc
	chmod -R ugo=rX,u+w debian/$(package)-doc
	dpkg --build debian/$(package)-doc ..

binary-arch: checkroot build install-stamp
	$(checkdir)

	rm -rf debian/lib$(package)-dev debian/$(package)-util debian/lib$(package) \
		debian/lib$(package)++ debian/lib$(package)++-dev debian/lib$(package)-tcl \
		debian/lib$(package)-java debian/lib$(package)-java-dev
	$(INSTALL_DIR) debian/lib$(package)-dev/usr/lib \
			debian/$(package)-util/usr/share/man/man1 \
			debian/lib$(package)/usr/lib debian/lib$(package)++/usr/lib \
			debian/lib$(package)++-dev/usr/include \
			debian/lib$(package)++-dev/usr/lib \
			debian/lib$(package)-tcl/usr/lib \
			debian/lib$(package)-java/usr/lib \
			debian/lib$(package)-java/usr/share/java \
			debian/lib$(package)-java-dev/usr/lib \
			debian/lib$(package)-dbg/usr/lib/debug/usr/lib

	objcopy --only-keep-debug debian/tmp/usr/lib/libdb-$(bdbversion).so \
                                  debian/lib$(package)-dbg/usr/lib/debug/usr/lib/libdb-$(bdbversion).so.debug

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	strip --remove-section=.note --remove-section=.comment \
	      debian/tmp/usr/lib/*.so debian/tmp/usr/bin/*
	strip --strip-debug debian/tmp/usr/lib/*.a
endif

	objcopy --add-gnu-debuglink=debian/lib$(package)-dbg/usr/lib/debug/usr/lib/libdb-$(bdbversion).so.debug \
				debian/tmp/usr/lib/libdb-$(bdbversion).so

	chmod 644 debian/tmp/usr/lib/*.so debian/tmp/usr/include/*.h
	chmod 755 debian/tmp/usr/bin/*

	cp -a debian/tmp/usr/include debian/lib$(package)-dev/usr
	cp -a debian/tmp/usr/bin debian/$(package)-util/usr
	cp -a debian/tmp/usr/lib/*.so debian/tmp/usr/lib/*.a \
	        debian/tmp/usr/lib/*.la debian/lib$(package)-dev/usr/lib
ifeq (,$(findstring z$(DEB_BUILD_GNU_CPU)z,$(JAVA_UNSUPPORTED_CPUS)))
ifeq (,$(findstring z$(DEB_BUILD_GNU_SYSTEM)z,$(JAVA_UNSUPPORTED_SYSTEMS)))
	cp -a debian/tmp/usr/lib/db.jar \
		debian/lib$(package)-java/usr/share/java/lib$(package)-java-$(version).jar
	ln -s lib$(package)-java-$(version).jar \
		debian/lib$(package)-java/usr/share/java/lib$(package)-java.jar
ifneq (,$(filter $(DEB_BUILD_ARCH), $(gcj_native_archs)))
	mkdir debian/lib$(package)-java-gcj
	(TMPFILE=$$(mktemp --tmpdir sourcelist.XXXXXXXXXX) && \
	find $(CURDIR) -type f ! -type l >$$TMPFILE && \
	aot-compile -L /usr/lib/gcj -c -fsource-filename=$$TMPFILE debian/lib$(package)-java debian/lib$(package)-java-gcj/usr/lib/gcj; \
	retval=$?; \
	rm -f $$TMPFILE; exit $$retval)
	mkdir -p debian/lib$(package)-java-gcj/usr/share/gcj/classmap.d
	mv debian/lib$(package)-java-gcj/usr/lib/gcj/*.db debian/lib$(package)-java-gcj/usr/share/gcj/classmap.d
endif
endif
endif
	mv debian/lib$(package)-dev/usr/lib/*cxx* debian/lib$(package)++-dev/usr/lib
	mv debian/lib$(package)-dev/usr/include/*cxx* debian/lib$(package)++-dev/usr/include
	mv debian/lib$(package)-dev/usr/lib/*tcl* debian/lib$(package)-tcl/usr/lib
ifeq (,$(findstring z$(DEB_BUILD_GNU_CPU)z,$(JAVA_UNSUPPORTED_CPUS)))
ifeq (,$(findstring z$(DEB_BUILD_GNU_SYSTEM)z,$(JAVA_UNSUPPORTED_SYSTEMS)))
	mv debian/lib$(package)-dev/usr/lib/*java* debian/lib$(package)-java/usr/lib

	mv debian/lib$(package)-java/usr/lib/libdb*.a \
	   debian/lib$(package)-java/usr/lib/libdb*.la \
	   debian/lib$(package)-java/usr/lib/libdb_java.so \
	   debian/lib$(package)-java/usr/lib/libdb_java-4.so \
	   debian/lib$(package)-java-dev/usr/lib/
endif
endif
	mv debian/lib$(package)-dev/usr/lib/libdb-$(bdbversion).so debian/lib$(package)/usr/lib
	mv debian/lib$(package)++-dev/usr/lib/libdb_cxx-$(bdbversion).so debian/lib$(package)++/usr/lib

	rm -f debian/lib$(package)-dev/usr/lib/libdb.a
	ln -s libdb-$(bdbversion).a debian/lib$(package)-dev/usr/lib/libdb.a

	cd debian/$(package)-util/usr/bin && for i in * ; \
	 do mv $$i `echo $$i | sed 's/db/$(package)/'` ; \
	done

	cp debian/manpages/*.1 debian/$(package)-util/usr/share/man/man1
	gzip -9frq debian/$(package)-util/usr/share/man/man1/*.1

	for i in $(DB_BINARY_PKGS); \
